<?php

//   http://blogprogram.ru/pdf-php-sozdanie-grafikov-chast-2

require_once( "fpdf181/fpdf.php" );
define('FPDF_FONTPATH', 'fpdf181/font/');

//  
$chartYPos = 180;    //  ( )
$chartWidth = 190;   //  
$chartHeight = 80;   //    
$chartYStep = 5000;  //    Y

// 
$chartColours = array(
array( 255, 100, 100 ),
array( 100, 255, 100 ),
array( 100, 100, 255 ),
array( 255, 255, 100 ),
array( 225, 155, 60 ),
);

//  
$pdf = new FPDF( 'P', 'mm', 'A4' ); //P - , L -  
$pdf->SetTextColor(0, 0, 0);                          //     
//  
$pdf->AddFont('TahomaMy','','tahoma.php');            //  
$pdf->AddFont('TahomaMyBold','B','tahoma_bold.php');
$pdf->SetFont('TahomaMy','',12);                      //    12 

// 1- 
$pdf->AddPage('P');

$pdf->SetTextColor(100, 100, 100);  //
$pdf->SetFontSize(17);
$pdf->Cell( 0, 15, "2018  PDF ", 0, 0, 'C' );

$pdf->SetTextColor(0, 0, 0);        //
$pdf->SetFontSize(20);
$pdf->Write( 19, "      " );

$pdf->Ln(16);
$pdf->SetFontSize(12);
$pdf->Write( 5, "     PDF   PHP    ,       blogprogram.ru -           PDF." );
$pdf->Ln( 12 );
$pdf->SetTextColor(0, 0, 0); //
$pdf->Write( 5, "     Write    Cell (     )" );

//   
$pdf->SetFont( 'TahomaMyBold', 'B', 15 );

//  .
$data = array(
array(7840),
array(19310),
array(15110),
array(20650),
array(12650)
);

// 
$rowLabels = array( "Phantom 3", "Spark", "Mavic Pro", "Osmo", "Phantom 4" );

//    X
$xScale = count($rowLabels) / ( $chartWidth - 40 );

//    Y
$maxTotal = 0;

foreach ( $data as $dataRow ) {
$totalSales = 0;
foreach ( $dataRow as $dataCell ) $totalSales += $dataCell;
$maxTotal = ( $totalSales > $maxTotal ) ? $totalSales : $maxTotal;
}

//     Y 
//  ,  0.23
//$maxTotalY1 = $maxTotal/$chartYStep - floor($maxTotal/$chartYStep);
//if($maxTotalY1 > 0) { $maxTotalY = floor($maxTotal/$chartYStep)*$chartYStep + $chartYStep; }
//else { $maxTotalY = floor($maxTotal/$chartYStep)*$chartYStep; }

$yScale = $maxTotal / $chartHeight;

//   
$barWidth = ( 1 / $xScale ) / 1.5;

//  :
$pdf->SetFont( 'TahomaMy', '', 10 );

//  X
$pdf->Line( $chartXPos + 30, $chartYPos, $chartXPos + $chartWidth, $chartYPos );

for ( $i=0; $i < count( $rowLabels ); $i++ ) {
$pdf->SetXY( $chartXPos + 40 +  $i / $xScale, $chartYPos );
$pdf->Cell( $barWidth, 10, $rowLabels[$i], 0, 0, 'C' );
}

//  Y
$pdf->Line( $chartXPos + 30, $chartYPos, $chartXPos + 30, $chartYPos - $chartHeight - 8 );

for ( $i=0; $i <= $maxTotal; $i += $chartYStep ) {
$pdf->SetXY( $chartXPos + 7, $chartYPos - 5 - $i / $yScale );
$pdf->Cell( 20, 10, '$' . number_format( $i ), 0, 0, 'R' );
$pdf->Line( $chartXPos + 28, $chartYPos - $i / $yScale, $chartXPos + 30, $chartYPos - $i / $yScale );
}

//  
$pdf->SetFont( 'TahomaMyBold', 'B', 12 );
$pdf->SetXY( $chartWidth / 2 + 20, $chartYPos + 8 );
$pdf->Cell( 30, 10, '', 0, 0, 'R' );
$pdf->SetXY( $chartXPos + 7, $chartYPos - $chartHeight - 12 );
$pdf->Cell( 20, 10, '', 0, 0, 'R' );

//  
$xPos = $chartXPos + 40;
$bar = 0;

//    
foreach ( $data as $dataRow ) {
$totalSales = 0;
foreach ( $dataRow as $dataCell ) $totalSales += $dataCell;

//  
$colourIndex = $bar % count( $chartColours );
$pdf->SetFillColor( $chartColours[$colourIndex][0], $chartColours[$colourIndex][1], $chartColours[$colourIndex][2] );
$pdf->Rect( $xPos, $chartYPos - ( $totalSales / $yScale ), $barWidth, $totalSales / $yScale, 'DF' );
$xPos += ( 1 / $xScale );
$bar++;
}

// PDF
$pdf->Output( "report.pdf", "I" );
?>